Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.common.fxcrt.PointF Class Reference

Type definition for point class for float.
More...

## Public Member Functions
| PointF ()
| Constructor.
| PointF (float new_x, float new_y)
| Constructor, with parameters. More...
| PointF (PointF other)
| Constructor, with another object. More...
void | add (float x, float y)
| Add a point. More...
float | getX ()
| Get x coordinate of the point. More...
float | getY ()
| Get y coordinate of the point. More...
void | reset ()
| Reset to the base point. More...
void | set (float x, float y)
| Set values. More...
void | set (PointF psv)
| Set values. More...
void | setX (float value)
| Set x coordinate of the point. More...
void | setY (float value)
| Set y coordinate of the point. More...
void | subtract (float x, float y)
| Subtract a point. More...

## Detailed Description

Type definition for point class for float.

## Constructor & Destructor Documentation

## ◆ PointF() [1/2]

com.foxit.sdk.common.fxcrt.PointF.PointF | ( | float | new_x,
|  | float | new_y
| ) |  |

Constructor, with parameters.

Parameters

  [in] | new_x | New value for x.
  [in] | new_y | New value for y.

## ◆ PointF() [2/2]

com.foxit.sdk.common.fxcrt.PointF.PointF | ( | PointF | other | ) |

Constructor, with another object.

Parameters

  [in] | other | Another object.

## Member Function Documentation

## ◆ add()

void com.foxit.sdk.common.fxcrt.PointF.add | ( | float | x,
|  | float | y
| ) |  |

Add a point.

Parameters

  [in] | x | x coordinate of the subtrahend point.
  [in] | y | x coordinate of the subtrahend point.

Returns
  None.

## ◆ getX()

com.foxit.sdk.common.fxcrt.PointF.getX | ( |  | ) |

Get x coordinate of the point.

Returns
  x coordinate of the point.

## ◆ getY()

com.foxit.sdk.common.fxcrt.PointF.getY | ( |  | ) |

Get y coordinate of the point.

Returns
  y coordinate of the point.

## ◆ reset()

void com.foxit.sdk.common.fxcrt.PointF.reset | ( |  | ) |

Reset to the base point.

Returns
  None.

## ◆ set() [1/2]

void com.foxit.sdk.common.fxcrt.PointF.set | ( | float | x,
|  | float | y
| ) |  |

Set values.

Parameters

  [in] | x | Value for x.
  [in] | y | Value for y.

Returns
  None.

## ◆ set() [2/2]

void com.foxit.sdk.common.fxcrt.PointF.set | ( | PointF | psv | ) |

Set values.

Parameters

  [in] | psv | Another value object.

Returns
  None.

## ◆ setX()

com.foxit.sdk.common.fxcrt.PointF.setX | ( | float | value | ) |

Set x coordinate of the point.

Parameters

  [in] | value | x coordinate of the point.

Returns
  None.

## ◆ setY()

com.foxit.sdk.common.fxcrt.PointF.setY | ( | float | value | ) |

Set y coordinate of the point.

Parameters

  [in] | value | y coordinate of the point.

Returns
  None.

## ◆ subtract()

void com.foxit.sdk.common.fxcrt.PointF.subtract | ( | float | x,
|  | float | y
| ) |  |

Subtract a point.

Parameters

  [in] | x | x coordinate of the addend point.
  [in] | y | x coordinate of the addend point.

Returns
  None.